<template>
  <div class="base-avatar--dashed">
    <img :width="width" :height="height" style="border-radius: 50%" :src="source" :alt="alt">
  </div>

</template>

<script>
export default {
  props: {
    source: {
      type: String,
      default: '',
    },
    width: {
      type: String,
      default: '30px'
    },
    height: {
      Type: String,
      default: '30px'
    },
    alt: {
      type: String,
      default: ''
    }
  },
}
</script>

<style scoped>

.base-avatar--dashed {
  background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='100' ry='100' stroke='white' stroke-width='4' stroke-dasharray='67%2c 24%2c 50%2c 50' stroke-dashoffset='86' stroke-linecap='butt'/%3e%3c/svg%3e");
  border-radius: 100px;
  width: 180px;
  height: 180px;
  display: flex;
  align-items: center;
  justify-content: center;
}

</style>
